# List all refunds

Returns a list of refunds in response. The refunds are returned sorted by creation date, with the most recent refund appearing first.

Endpoint: GET /refunds
Version: 1.0.0
Security: JWT

## Query parameters:

  - `customer_id` (string)
    Refunds of customer to filter

  - `payment_method` (string)
    Refunds of payment_methods to filter

  - `payment_id` (string)
    Refunds of payment_id to filter

  - `request_id` (string)
    Filter refunds by the merchant-provided idempotency key.

  - `status` (string)
    Refund status to filter

  - `before` (string)
    [ISO-8601](https://en.wikipedia.org/wiki/ISO_8601) timestamp in UTC to filter resources created before this time. Use this to avoid `Page drift` issue. See [Pagination parameters](\./pagination#pagination-parameters) for more details.

  - `after` (string)
    [ISO-8601](https://en.wikipedia.org/wiki/ISO_8601) timestamp in UTC to filter resources created after this time. Use this to avoid `Page drift` issue. See [Pagination parameters](\./pagination#pagination-parameters) for more details.

  - `per_page` (integer)
    Number of resources per page. Should be between 1 and 100.

  - `page` (integer)
    Page number for pagination. Starts from 1. Get the next page number from the `next` field in the response.

## Response 200 fields (application/json):

  - `data` (array)

  - `data.id` (string)
    The unique identifier for the refund.
    Example: refund_6776d57dnbTWj

  - `data.customer_id` (string)
    The unique identifier of customer linked to refund.
    Example: cust_E602dMzgjpDC

  - `data.payment_id` (string)
    The unique identifier of payment linked to refund.
    Example: payt_E602dMzgjpDC

  - `data.reason` (string)
    The reason for the refund.
    Example: Requested by Customer

  - `data.fees` (object)
    The fees charged for the refund.

  - `data.fees.fx_fees` (object)

  - `data.fees.fx_fees.amount` (number)
    A positive integer representing the smallest currency unit.  For example, if the amount is $299.00, then pass 29900 in this field.  In the case of three decimal currencies, such as KWD, BHD and OMR, to represent an amount of 295.991, pass the value as 295990.  And in the case of zero decimal currencies such as JPY, for amount ￥295, pass the value as 295.
    Example: 1000

  - `data.fees.fx_fees.currency` (string)
    The currency code in [ISO 4217](https://en.wikipedia.org/wiki/ISO_4217) format. For example, USD.
    Example: USD

  - `data.balance_used` (object)
    The balance deducted to process the refund.

  - `data.balance_used.currency` (string)
    The currency code in [ISO 4217](https://en.wikipedia.org/wiki/ISO_4217) format.
    Example: USD

  - `data.balance_used.amount` (integer)
    The amount deducted in cents.
    Example: 1000

  - `data.documents` (array)

  - `data.documents.id` (string)
    The unique identifier for the Document.
    Example: doc_nYUqLpuYQ0M8

  - `data.documents.type` (string)
    The type of the document.
    Example: rfi

  - `data.documents.status` (string)
    The status of the document.
    Enum: "pending", "uploaded", "approved", "rejected"

  - `data.documents.rfi_doc_id` (string)
    The identifier that needs to be sent when responding to rfi.
    Example: rfidoc_nYUqLpuYQ0M8

  - `data.status` (string)
    The status of the refund.
    Enum: "success", "failed", "action_required", "pending", "under_review"

  - `data.currency` (string)
    The currency code in [ISO 4217](https://en.wikipedia.org/wiki/ISO_4217) format. For example, USD.
    Example: USD

  - `data.amount` (number)
    The amount you want to receive in cents. For example, 1000 cents is $10.00.  The currency is determined by the `currency` field. `Cents` is a general  term for the smallest unit of currency in any currency. It does not  necessarily mean USD cents.
    Example: 1000

  - `data.utr` (string)
    The Unique Transaction Reference (UTR) number associated with the refund.
    Example: UTR123456789

  - `data.partial_refund` (boolean)
    Indicates whether the refund is a partial refund.
    Example: false

  - `data.created_at` (string)
    Timestamp representing when the refund was created
    Example: 2021-06-01T12:00:00Z

  - `data.updated_at` (string)
    Timestamp representing when the refund was last updated
    Example: 2021-06-01T12:00:00Z

  - `data.request_id` (string)
    Optional idempotency key.
    Example: false

  - `page_meta` (object)

  - `page_meta.current` (integer)
    The current page number.
    Example: 2

  - `page_meta.previous` (integer | null)
    The previous page number.
    Example: 1

  - `page_meta.next` (integer | null)
    The next page number.
    Example: 3

  - `page_meta.per_page` (integer)
    The number of items per page.
    Example: 20

  - `page_meta.pages` (integer)
    The total number of pages.
    Example: 10

  - `page_meta.count` (integer)
    The total number of items.
    Example: 200

